#!/bin/sh
NAME="alpha.sh"
VER="v.0.04"
DATE="2017.04.13"
MAINTAINER="pclin pclin@ufo-service.de"
OS="DreamOS 2.5"
STRING="$NAME $VER - $DATE - $MAINTAINER - $OS"

case "$1" in
  0)
    echo 0 > /proc/stb/video/alpha
    exit 0
  ;;
  255)
    echo 255 > /proc/stb/video/alpha
    exit 0
  ;;
  -h | --help | ?)
    LINE="------------------------------------------------------------------------"
    echo $LINE
    echo "Usage: alpha | 0 | 255 | --help | -h | ?"
    echo "       Wert 0 wird gesetzt in /proc/stb/video/alpha"
    echo "       Wert 255 wird gesetzt in /proc/stb/video/alpha"
    echo ""
    echo "       Ohne Argument wird getoggelt"
    echo "       Wert = 0, 255 wird gesetzt, Wert ≠ 0, Wert 0 wird gesetzt"
    echo $LINE
    echo $STRING
    echo $LINE
    exit 1
esac
if [ "`cat /proc/stb/video/alpha | grep 0`" = "0" ]; then
  echo 255 > /proc/stb/video/alpha
else
  echo 0 > /proc/stb/video/alpha
fi

exit 0
